import { EventEmitter, OnChanges, SimpleChanges, ElementRef } from '@angular/core';
import { Direction, Directionality } from '@angular/cdk/bidi';
import { GalleryError, GalleryState } from '../models/gallery.model';
import { GalleryConfig } from '../models/config.model';
import * as i0 from "@angular/core";
export declare class GalleryCoreComponent implements OnChanges {
    private el;
    private dir;
    galleryId: string;
    state: GalleryState;
    config: GalleryConfig;
    itemClick: EventEmitter<number>;
    thumbClick: EventEmitter<number>;
    error: EventEmitter<GalleryError>;
    /** Set thumbnails position */
    get thumbPosition(): 'top' | 'left' | 'right' | 'bottom';
    /** Set sliding direction */
    get orientation(): 'horizontal' | 'vertical';
    /** Disable thumbnails' clicks */
    get disableThumb(): boolean;
    /** Set bullets' clicks */
    get bulletDisabled(): boolean;
    /** Set gallery bullets position */
    get bulletPosition(): 'top' | 'bottom';
    /** Set gallery image size property */
    get imageSize(): 'cover' | 'contain';
    /** Set gallery thumb image size property */
    get thumbImageSize(): 'contain' | 'cover';
    /** Set gallery counter position */
    get counterPosition(): 'top' | 'bottom';
    /** Disable sliding using sliding via touchpad, mousewheel and gestures */
    get scrollDisabled(): boolean;
    /** Disable thumb sliding using sliding via touchpad, mousewheel and gestures */
    get thumbScrollDisabled(): boolean;
    /** Set items autosize styles  */
    get itemAutosize(): boolean;
    /** Set gallery autoHeight styles  */
    get autoHeight(): boolean;
    /** Set gallery thumb autosize styles  */
    get thumbAutosize(): boolean;
    /** Set direction  */
    get direction(): Direction;
    /** Set debug style  */
    get debug(): boolean;
    constructor(el: ElementRef<HTMLElement>, dir: Directionality);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GalleryCoreComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GalleryCoreComponent, "gallery-core", never, { "galleryId": { "alias": "galleryId"; "required": false; }; "state": { "alias": "state"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, { "itemClick": "itemClick"; "thumbClick": "thumbClick"; "error": "error"; }, never, never, true, never>;
}
