import { EventEmitter, ElementRef } from '@angular/core';
import { GalleryItemContext } from '../directives/gallery-item-def.directive';
import { ImageItemData } from './templates/items.model';
import { GalleryConfig } from '../models/config.model';
import { GalleryItemType } from '../models/constants';
import * as i0 from "@angular/core";
export declare class GalleryThumbComponent {
    private el;
    config: GalleryConfig;
    /** Item's index in the gallery */
    index: number;
    /** The number of total items */
    count: number;
    /** Gallery current index */
    currIndex: number;
    /** Item's type 'image', 'video', 'youtube', 'Vimeo', 'iframe' */
    type: GalleryItemType;
    /** Item's data, this object contains the data required to display the content (e.g. src path) */
    data: ImageItemData;
    error: EventEmitter<ErrorEvent>;
    get isActive(): boolean;
    get isIndexAttr(): number;
    get imageContext(): GalleryItemContext<ImageItemData>;
    get nativeElement(): HTMLElement;
    constructor(el: ElementRef<HTMLElement>);
    static ɵfac: i0.ɵɵFactoryDeclaration<GalleryThumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GalleryThumbComponent, "gallery-thumb", never, { "config": { "alias": "config"; "required": false; }; "index": { "alias": "index"; "required": false; }; "count": { "alias": "count"; "required": false; }; "currIndex": { "alias": "currIndex"; "required": false; }; "type": { "alias": "type"; "required": false; }; "data": { "alias": "data"; "required": false; }; }, { "error": "error"; }, never, never, true, never>;
}
