import { EventEmitter, OnInit } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { ItemState } from './items.model';
import * as i0 from "@angular/core";
export declare class GalleryImageComponent implements OnInit {
    private _sanitizer;
    state: ItemState;
    /** Is thumbnail */
    isThumbnail: boolean;
    index: number;
    /** Image loading attribute */
    loadingAttr: 'eager' | 'lazy';
    /** Image alt */
    alt: string;
    /** Image source URL */
    src: string;
    /** Custom loader template */
    loadingIcon: string;
    /** Custom loader safe template */
    loaderTemplate: SafeHtml;
    /** Custom error template */
    loadingError: string;
    /** Custom error safe template */
    errorTemplate: SafeHtml;
    errorIcon: string;
    errorSvg: SafeHtml;
    /** Stream that emits when an error occurs */
    error: EventEmitter<ErrorEvent>;
    get imageState(): string;
    constructor(_sanitizer: DomSanitizer);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GalleryImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GalleryImageComponent, "gallery-image", never, { "isThumbnail": { "alias": "isThumbnail"; "required": false; }; "index": { "alias": "index"; "required": false; }; "loadingAttr": { "alias": "loadingAttr"; "required": false; }; "alt": { "alias": "alt"; "required": false; }; "src": { "alias": "src"; "required": false; }; "loadingIcon": { "alias": "loadingIcon"; "required": false; }; "loadingError": { "alias": "loadingError"; "required": false; }; "errorIcon": { "alias": "errorIcon"; "required": false; }; }, { "error": "error"; }, never, never, true, never>;
}
