import { GalleryItem } from '../../models/gallery.model';
import { GalleryItemType } from '../../models/constants';
export declare class ImageItem implements GalleryItem {
    readonly type: GalleryItemType;
    readonly data: ImageItemData;
    constructor(data: ImageItemData);
}
export declare class VideoItem implements GalleryItem {
    readonly type: GalleryItemType;
    readonly data: VideoItemData;
    constructor(data: VideoItemData);
}
export declare class IframeItem implements GalleryItem {
    readonly type: GalleryItemType;
    readonly data: IframeItemData;
    constructor(data: IframeItemData);
}
export declare class YoutubeItem implements GalleryItem {
    readonly type: GalleryItemType;
    readonly data: YoutubeItemData;
    constructor(data: YoutubeItemData);
}
export declare class VimeoItem implements GalleryItem {
    readonly type: GalleryItemType;
    readonly data: VimeoItemData;
    constructor(data: VimeoItemData);
    private getVimeoThumb;
}
type GalleryItemModel = {
    type?: GalleryItemType;
    src?: string | {
        url: string;
        type: string;
    }[];
    thumb?: string;
    args?: any;
};
export type ImageItemData = GalleryItemModel & {
    alt?: string;
};
export type IframeItemData = GalleryItemModel & {
    params?: any;
};
export type YoutubeItemData = IframeItemData & {
    autoplay?: boolean;
};
export type VimeoItemData = IframeItemData & {
    autoplay?: boolean;
};
export type VideoItemData = GalleryItemModel & {
    poster?: string;
    loop?: boolean;
    mute?: true;
    disablePictureInPicture?: true;
    controls?: boolean;
    autoplay?: boolean;
    preload?: 'none' | 'metadata' | 'auto' | '';
    controlsList?: 'nodownload' | 'nofullscreen' | 'noremoteplayback';
    disableRemotePlayback?: boolean;
};
export type GalleryItemData = ImageItemData | VideoItemData | IframeItemData | YoutubeItemData | VimeoItemData;
export type ItemState = 'success' | 'loading' | 'failed';
export {};
