import { TemplateRef } from '@angular/core';
import { GalleryItemData } from '../components/templates/items.model';
import { GalleryItemType } from '../models/constants';
import * as i0 from "@angular/core";
export declare class GalleryItemDef {
    templateRef: TemplateRef<GalleryItemContext<GalleryItemDef>>;
    constructor(templateRef: TemplateRef<GalleryItemContext<GalleryItemDef>>);
    static ngTemplateContextGuard(directive: GalleryItemDef, context: unknown): context is GalleryItemContext<GalleryItemData>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GalleryItemDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GalleryItemDef, "[galleryItemDef]", never, {}, {}, never, never, true, never>;
}
export interface GalleryItemContext<T> {
    /** Data for the row that this cell is located within. */
    $implicit?: T;
    /** Index of the item. */
    index?: number;
    /** The type of the item. */
    type?: GalleryItemType;
    /** True if this item is the active one. */
    active?: boolean;
    /** The number of total items. */
    count?: number;
    /** True if this item is first. */
    first?: boolean;
    /** True if this item is last. */
    last?: boolean;
}
