import { GalleryRef } from './gallery-ref';
import { GalleryConfig } from '../models/config.model';
import * as i0 from "@angular/core";
export declare class Gallery {
    /** Store gallery instances */
    private readonly _instances;
    /** Global config */
    config: GalleryConfig;
    constructor(config: GalleryConfig);
    /**
     * Get or create gallery by ID
     * @param id
     * @param config
     */
    ref(id?: string, config?: GalleryConfig): GalleryRef;
    /**
     * Destroy all gallery instances
     */
    destroyAll(): void;
    /**
     * Reset all gallery instances
     */
    resetAll(): void;
    /**
     * Logger for debugging
     */
    debugConsole(...data: any[]): void;
    /**
     * A destroyer function for each gallery instance
     */
    private deleteInstance;
    static ɵfac: i0.ɵɵFactoryDeclaration<Gallery, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Gallery>;
}
